# BCCP Covid-19 data repository

Welcome to the BCCP repository for Covid-19 data. We aim to collect and uniformize publicly available data and to develop tools for the analysis and prediction.

We welcome new data. Please get in touch at BCCPcovid19@gmail.com

## Data available by country:
* Italy
* Germany
* USA
* China
* Canada
* Australia
* World population statistics

# Publications 
This repo also contains the data and analysis code for the recently published paper on medRxiv and submitted to Nature Communications -
[How deadly is COVID-19? A rigorous analysis of excess mortality and age-dependent fatality rates in Italy](https://www.medrxiv.org/content/10.1101/2020.04.15.20067074v2).
This is accompanied with Medium blogs detailing our [results](https://medium.com/bccp-uc-berkeley/how-deadly-is-covid-19-data-science-offers-answers-from-italy-mortality-data-58abedf824cf) and [methodology](https://medium.com/bccp-uc-berkeley/time-series-analysis-of-italian-mortality-data-ac780e2a1706). <br>
The most updated version of the paper can be found in [paper/Italy_COVID19_Mortality_Time_Series.pdf](https://github.com/bccp/covid-19-data/blob/master/paper/Italy_COVID19_Mortality_Time_Series.pdf).

## Code
The code to analyze the data and reporoduce the tables and figures from the paper is in -  [notebook/Italy_COVID19_Nature_Submission.ipynb](https://github.com/bccp/covid-19-data/blob/master/notebook/Italy_COVID19_Nature_Submission.ipynb) <br>
To execute the code- clone the repo, open the notebook and click Run All Cells. <br>
The code is written in python-3.5 and has numpy, scipy, matplotlib , pandas, datetime & seaborn as dependencies. 

